Arrow symbol layer: wrong data-defined button description for head and arrow types

2017-02-21 07:58 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24125

Description

Symbolize a layer using the arrow symbol layer type

For the "Head type" and "Arrow type" parameters, the data defined override button suggest that expected input value should be of integer

type while values that actually fill the combobox are of string types (and no enumeration is available to help, in case it should be integer)

Associated revisions

Revision 79035acd - 2018-05-08 12:38 PM - Harrissou Santanna

The Arrow type and head type are string inputs in DD

and not integer (fixes #16215)

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:53 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2018-05-08 12:37 PM - Harrissou Santanna

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|79035acd642a1c12d590b1508369b4d92344b8dc.
